=== modified file 'bzrlib/transport/http/response.py'
--- bzrlib/transport/http/response.py	2012-02-14 14:55:25 +0000
+++ bzrlib/transport/http/response.py	2012-04-06 11:38:05 +0000
@@ -66,12 +66,20 @@
         self._pos += len(data)
         return data
 
+    def readline(self):
+        data = self._file.readline()
+        self._pos += len(data)
+        return data
+
+    def tell(self):
+        return self._pos
+
     def seek(self, offset, whence=os.SEEK_SET):
         if whence == os.SEEK_SET:
             if offset < self._pos:
-                raise AsserttionError(
+                raise AssertionError(
                     "Can't seek backwards, pos: %s, offset: %s"
-                    % (self._pos, offfset))
+                    % (self._pos, offset))
             to_discard = offset - self._pos
         elif whence == os.SEEK_CUR:
             to_discard = offset

=== modified file 'doc/en/release-notes/bzr-2.6.txt'
--- doc/en/release-notes/bzr-2.6.txt	2012-04-09 02:53:17 +0000
+++ doc/en/release-notes/bzr-2.6.txt	2012-04-16 02:00:46 +0000
@@ -38,6 +38,8 @@
 * "bzr missing" now shows tag names when displaying revision information.
   (#559072, Neil Martinsen-Burrell)
 
+* Implement ``ResponseFile.readline`` and ``ReponseFile.tell``,
+  fixing some clones over HTTP. (Jelmer Vernooij, #963769)
 
 Documentation
 *************

